[SCM] Packaging for Google Go branch, weekly-debian-sid, updated. debian-weekly/2011.09.07-1-48-ge4a4b27

Ondřej Surý ondrej at sury.org
Fri Mar 9 08:43:23 UTC 2012


The following commit has been merged in the weekly-debian-sid branch:
commit b57c598c2540fe9f2a42a14c18a22828b4b431dd
Author: Ondřej Surý <ondrej at sury.org>
Date:   Wed Feb 29 11:21:21 2012 +0100

    Add custom version of version.sh

diff --git a/debian/rules b/debian/rules
index e7271f5..5909145 100755
--- a/debian/rules
+++ b/debian/rules
@@ -134,7 +134,7 @@ get-orig-source:
 	VERSION=$$(hg identify -t -r"weekly" | perl -e '<> =~ /weekly\.(\d+)-(\d+)-(\d+)([\.\d]*)/; print "$$1.$$2.$$3$$4"'); \
 	rm -rf "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
 	hg archive -tfiles -r"weekly" -X'.hg*' -X'doc/talks/go_talk-20091030.pdf' "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
-	src/version.bash -save; \
+	$(CURDIR)/debian/version.sh "weekly"; \
 	cp VERSION "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
 	cd ..; \
 	tar -czf "$(CURDIR)/../$(PACKAGE)_$$VERSION.orig.tar.gz" "$(PACKAGE)-$$VERSION/"; \
diff --git a/debian/version.sh b/debian/version.sh
new file mode 100755
index 0000000..ea69b43
--- /dev/null
+++ b/debian/version.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+set -eu
+echo $(hg tags | sed -e "s/:.*$//" | awk "BEGIN { max = 0 } $(hg identify -n) == \$2 && \$1~/^${1}\./ {if (\$2 > max) { max = \$2; tag = \$1; } } END { print tag, max; }") > VERSION

-- 
Packaging for Google Go



More information about the Pkg-google-commits mailing list